Subject: Re: bug#24470: 25.1; PNG images not rendering for Win Emacs 25.1

From: Sivaram Neelakantan <[email-masked]>
Date: Tue, 20 Sep 2016 08:46:01 +0530

On Mon, Sep 19 2016,Eli Zaretskii wrote:

[snipped 11 lines]

>> If it helps, I have the ezwinports bin directory in the path too with
>> all the relevant DLLs.
>
> The binaries from ezwinports are 32-bit binaries, whereas your Emacs:
>
>> In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
>                        ^^^^^^^^^^
> is a 64-bit executable.  So you need 64-bit DLLs for the support
> libraries.  Do you have them installed?  If not, that's your problem.

Thanks Eli, where do I get the 64bit DLLs, as
     http://www.gtk.org/download/win64.php
     -- the GTK project site; offers much fatter builds, but includes
        64-bit DLLs (from the 2nd URL)

from the docs doesn't work and a search at the site doesn't show up
any prebuilt 64bit DLLs.

Alternately, If I wanted to downgrade to 32bit Emacs, does the gnu
site have them? I downloaded both the  above & 'GNU Emacs 25.1.1
(i686-w64-mingw32) of 2016-09-18a' and still face the same issue.  
Are they both 64bit?

versions mentioned are

libjpeg-version’s value is 80
libpng-version’s value is 10621
libgif-version’s value is 50102

sivaram
--